{$apptype console}
const
 fin='box.in';
 fout='box.out';
 imposible='IMPOSSIBLE';
 posible='POSSIBLE';
type trect=record
  w,h:integer;
end;
Var
  a,b,c:trect;
  m:array[1..4]of trect;
  flag:array[1..4]of integer;
  i,j:integer;
  w,h:integer;
  x,y,z:integer;
  t:Trect;
  f:boolean;
begin
 assign(Input,fin); reset(input);
 assign(Output,fout); rewrite(output);
 fillchar(flag,sizeof(flag),0);
 for i:=1 to  6 do
   begin
     Readln(w,h);
     for j:=1 to 4 do
       if j=4 then
         begin
           Write(imposible);
            close(input); close(output);
           exit;
         end
       else
         begin
           if flag[j]=0 then
             begin
               flag[j]:=1;
               m[j].w:=w;
               m[j].h:=h;
               break;
             end
           else
             if flag[j]=1 then
               if ((m[j].w=w)and(m[j].h=h))or(m[j].w=h)and(m[j].h=w) then
               begin
                 inc(flag[j]);
                 break;
               end;
         end;
   end;
 a:=m[1];
 b:=m[2];
 c:=m[3];
 x:=a.w;
 y:=a.h;
 f:=false;
 if b.w=y then
   begin
     i:=b.w;
     b.w:=b.h;
     b.h:=i;
     f:=false;
     z:=b.w;
   end
 else
   if b.h=y then
     begin
        f:=false;
        z:=b.w;
     end
 else
   begin
     t:=b;
     b:=c;
     c:=t;
     f:=true;
   end;

   if f then
     begin
        if b.w=y then
          begin
          i:=b.w;
          b.w:=b.h;
          b.h:=i;
          z:=b.w;
         end
        else
         if b.h=y then
          begin
                   z:=b.w;
          end
        else
         begin
           Write(imposible);
            close(input); close(output);
           exit;
        end;
     end;
  if ((c.w=x)and(c.h=z))or((c.w=z)and(c.h=x))then
    begin
           Write(posible);

    end
  else
    begin
           Write(imposible);

    end;

 close(input); close(output);
end.